# Notifications

Notifications are the actions taken to inform users or call third-party endpoints when a certain event happens. Typical actions include emails and callouts. Callouts typically refer to HTTP invocations, such as HTTP calls to REST services.
Zuora notification system processes the events in the same order in which they are triggered. The timing and delivery of notifications can still vary based on factors such as retries, concurrency, and network latency. But Zuora guarantees the best performance possible with the right performance boosters and tuning.
Notifications are associated with Communication Profiles, which allow you to send specific event-driven notifications to targeted customers. Zuora provides the following Settings API to access the settings of Communication Profiles:* [Get all Communication Profiles](https://docs.zuora.com?resourceId=platform-get-communication-profiles-with-settings-api)
* [Create a new Communication Profile](https://docs.zuora.com?resourceId=platform-create-communication-profile-with-settings-api)
* [Modify a Communication Profile](https://docs.zuora.com?resourceId=platform-modify-communication-profile-with-settings-api)
* [Get all Notifications under a particular Communication Profile](https://docs.zuora.com?resourceId=platform-get-notifications-under-particular-communication-profile-with-settings-api)

 - [POST /notifications/notification-definitions](https://developer.zuora.com/v1-api-reference/api/notifications/post_create_notification_definition.md): Creates a notification definition. If a filter rule is specified, it will be evaluated to see if the notification definition is qualified to handle the incoming events during runtime. If the notificat
 - [GET /notifications/notification-definitions](https://developer.zuora.com/v1-api-reference/api/notifications/get_query_notification_definitions.md): Queries notification definitions with the specified filters.
 - [GET /notifications/notification-definitions/{id}](https://developer.zuora.com/v1-api-reference/api/notifications/get_get_notification_definition.md): Queries the notification definition of the given ID.
 - [PUT /notifications/notification-definitions/{id}](https://developer.zuora.com/v1-api-reference/api/notifications/put_update_notification_definition.md): Updates a notification definition.
 - [DELETE /notifications/notification-definitions/{id}](https://developer.zuora.com/v1-api-reference/api/notifications/delete_delete_notification_definition.md): Deletes a notification definition.
 - [POST /notifications/email-templates/import](https://developer.zuora.com/v1-api-reference/api/notifications/post_createorupdateemailtemplates.md): Creates email templates for standard or custom events if you do not specify email template IDs, or updates existing email templates if you specify valid email template IDs. For each email template whe
 - [POST /notifications/email-templates](https://developer.zuora.com/v1-api-reference/api/notifications/post_create_email_template.md): Creates an email template. This operation supports creating the email template for all event types. - If you specify the `eventCategory` field, the email template is created based on a standard event.
 - [GET /notifications/email-templates](https://developer.zuora.com/v1-api-reference/api/notifications/get_query_email_templates.md): Queries email templates. This operation supports querying email templates for all event types.
 - [GET /notifications/email-templates/{id}](https://developer.zuora.com/v1-api-reference/api/notifications/get_get_email_template.md): Queries the email template based on the specified ID. This operation supports retrieving the email template for all event types.
 - [PUT /notifications/email-templates/{id}](https://developer.zuora.com/v1-api-reference/api/notifications/put_update_email_template.md): Updates an email template. This operation supports updating the email template for all event types.
 - [DELETE /notifications/email-templates/{id}](https://developer.zuora.com/v1-api-reference/api/notifications/delete_delete_email_template.md): Deletes an email template. This operation supports deleting an email template for all event types.
 - [POST /notifications/callout-templates/import](https://developer.zuora.com/v1-api-reference/api/notifications/createorupdatecallouttemplates.md): Creates callout templates for standard or custom events if you do not specify callout template IDs, or updates existing callout templates if you specify valid callout template IDs. For each callout te
 - [POST /notifications/callout-templates](https://developer.zuora.com/v1-api-reference/api/notifications/createcallouttemplate.md): Creates a callout template. This operation supports creating the callout template for all event types: - To create a callout template for a standard event, you must specify the `eventCategory` field.
 - [GET /notifications/callout-templates](https://developer.zuora.com/v1-api-reference/api/notifications/getcallouttemplates.md): Queries callout templates. This operation supports querying callout templates for all event types.
 - [GET /notifications/callout-templates/{id}](https://developer.zuora.com/v1-api-reference/api/notifications/getcallouttemplte.md): Queries the callout template based on the specified ID. This operation supports retrieving the callout template for all event types.
 - [PUT /notifications/callout-templates/{id}](https://developer.zuora.com/v1-api-reference/api/notifications/updatecallouttemplate.md): Updates a callout template. This operation supports updating the callout template for all event types.
 - [DELETE /notifications/callout-templates/{id}](https://developer.zuora.com/v1-api-reference/api/notifications/deletecallouttemplate.md): Deletes a callout template. This operation supports deleting a callout template for all event types.
 - [POST /notifications/reusable-blocks/import](https://developer.zuora.com/v1-api-reference/api/notifications/createorupdatereusableblocks.md): Creates reusable blocks if you do not specify block IDs, or updates existing reusable blocks if you specify valid block IDs. All fields must be provided for each reusable block you want to update. Th
 - [POST /notifications/reusable-blocks](https://developer.zuora.com/v1-api-reference/api/notifications/createreusableblock.md): Creates a reusable block for email templates, such as email headers or footers.
 - [GET /notifications/reusable-blocks](https://developer.zuora.com/v1-api-reference/api/notifications/getreusableblocks.md): Queries reusable blocks.
 - [GET /notifications/reusable-blocks/{blockKey}](https://developer.zuora.com/v1-api-reference/api/notifications/getreusableblock.md): Queries the reusable block based on the specified ID or name.
 - [PUT /notifications/reusable-blocks/{blockKey}](https://developer.zuora.com/v1-api-reference/api/notifications/updatereusableblock.md): Updates a reusable block.
 - [DELETE /notifications/reusable-blocks/{blockKey}](https://developer.zuora.com/v1-api-reference/api/notifications/deletereusableblock.md): Deletes a reusable block.
 - [DELETE /notifications/history](https://developer.zuora.com/v1-api-reference/api/notifications/delete_delete_notification_history_for_account.md): Delete all notification histories for the given account. All email and callout notifications for this account will be deleted upon successful operation.
 - [GET /notifications/history/tasks/{id}](https://developer.zuora.com/v1-api-reference/api/notifications/get_get_notification_history_deletion_task.md): Get the notification history deletion task by ID.
 - [POST /notifications/callout-histories/resend](https://developer.zuora.com/v1-api-reference/api/notifications/post_resendcalloutnotifications.md): Resends callout notifications if your customers did not receive previous callout notifications. Details about the status codes and response contents of this operation are as follows: | Scenario | Stat
 - [POST /notifications/email-histories/resend](https://developer.zuora.com/v1-api-reference/api/notifications/post_resendemailnotifications.md): Resends email notifications if your customers did not receive previous email notifications. Details about the status codes and response contents of this operation are as follows: | Scenario | Status c
 - [GET /v1/notification-history/callout](https://developer.zuora.com/v1-api-reference/api/notifications/get_callouthistory.md): Describes how to get a notification history for callouts.
 - [GET /v1/notification-history/email](https://developer.zuora.com/v1-api-reference/api/notifications/get_emailhistory.md): Describes how to get a notification history for notification emails. ### Notes Request parameters and their values may be appended with a "?" following the HTTPS GET request. Additional request param
